申请电子版授权书
数字授权书(LOA)可方便订购需要第三方 授权的服务。在处理 互连服务(如Cross Connect)的订单时,它最大限度地减少了A侧和Z侧的接洽。
请求数字授权书的A侧合作伙伴。如果您是创建数字授权书的Z端合作伙伴,请参阅申请数字授权书。
先决条件
-
身份验证 - 提交您的 OAuth2 用户凭据、客户端 ID 和客户端密钥 验证。有关如何致电OAuth API以验证和验证您的凭据的说明,请参阅API验证。
-
获取可能的Z侧合作伙伴。使用获取可能的连接端点检索给定IBX数据中心中存在的潜在Z侧合作伙伴列表。
创建请求 - 已知的 Z 端合作伙伴
要创建请求,请向端点发送POST请求/diloa/v1/digitalLoas/loaRequest。
向
获取可能连接端点的GET请求响应中列出了要向其请求此Digital LOA文档的z端合作伙伴,请将参数设置provider.type为CUSTOMER_ORGANIZATION,并提供其详细信息。
POST /diloa/v1/digitalLoas/loaRequestsView the API Reference | |
|---|---|
| Method | POST |
| URL or End Point | /diloa/v1/digitalLoas/loaRequests |
| Headers | Content-Type |
| Query Parameters | Not applicable |
| Body Parameters | ibx, requestedNumber, requestor {contacts [{type, registeredUser, firstName, lastName, timezone, availability, details [{notes, value, type}]}]}, provider {type}, notes |
cURL 请求示例:
curl -X
POST "https://api.equinix.com/diloa/v1/digitalLoas/loaRequest"
-H "content-type: application/json"
-H "Authorization: Bearer <token>"
-d '{
"ibx": "CH1",
"requestedNumber": 2,
"requestor": {
"contacts": [
{
"type": "NOTIFICATION",
"registeredUser": "Registered",
"firstName": "John",
"lastName": "Smith",
"timezone": "Australia/Perth",
"availability": "ANYTIME",
"details": [
{
"note": "new email address",
"value": "kyle@mail.com",
"type": "EMAIL"
}
]
}
]
},
"provider": {
"type": "CUSTOMER_ORGANIZATION",
"orgIds": [
"123456"
],
"name": "Michael Scott Paper Company",
"contacts": [
{
"type": "NOTIFICATION",
"registeredUser": "Registered",
"firstName": "John",
"lastName": "Smith",
"timezone": "Australia/Perth",
"availability": "ANYTIME",
"details": [
{
"note": "new email address",
"value": "kyle@mail.com",
"type": "EMAIL"
}
]
}
]
},
"notes": "No additional notes"
}'
请求正文中包含的参数特定于此示例。参数及其说明的完整列表,请参见API参考手册。
创建请求 - 新的 Z 端合作伙伴
要创建请求,请向端点发送POST请求/diloa/v1/digitalLoas/loaRequest。
由于要向
NEW_RELATIONSHIP其颁发此Digital LOA文档的Z端合作伙伴未在获取可能连接端点的GET请求响应中列出,请将参数设置provider.type为。同时提供其联系信息。
cURL 请求示例:
curl -X
POST "https://api.equinix.com/diloa/v1/digitalLoas/loaRequest"
-H "content-type: application/json"
-H "Authorization: Bearer <token>"
-d '{
"ibx": "CH1",
"requestedNumber": 2,
"requestor": {
"contacts": [
{
"type": "NOTIFICATION",
"registeredUser": "Registered",
"firstName": "John",
"lastName": "Smith",
"timezone": "Australia/Perth",
"availability": "ANYTIME",
"details": [
{
"note": "new email address",
"value": "kyle@mail.com",
"type": "EMAIL"
}
]
}
]
},
"provider": {
"type": "NEW_RELATIONSHIP",
"email": "mike@mspc.us",
"name": "Michael Scott Paper Company"
},
"notes": "No additional notes"
}'
请求正文中包含的参数特定于此示例。参数及其说明的完整列表,请参见API参考手册。